Im active here Ubuntu 18.04.4 LTS and Ubuntu 20.04 is highly recommended. :-D